%define module			keystoneauth1

%define enable_tests_python2	0
%define enable_tests_python3	0

Name:		python-%{module}
Version:	2.16.0
Release:	%mkrel 1
Summary:	Authentication Library for OpenStack Clients
License:	ASL 2.0
Group:		Development/Python
URL:		http://pypi.python.org/pypi/%{module}
Source0:	http://pypi.io/packages/source/k/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(six)
BuildRequires:	pythonegg(2)(pbr)

# test requirements
%if %{enable_tests_python2}
BuildRequires:	pythonegg(2)(testrepository)
BuildRequires:	pythonegg(2)(oslotest)
BuildRequires:	pythonegg(2)(iso8601)
BuildRequires:	pythonegg(2)(mock)
BuildRequires:	pythonegg(2)(stevedore)
BuildRequires:	pythonegg(2)(oslo.config)
%endif

%description
Keystoneauth provides a standard way to do authentication and service requests
within the OpenStack ecosystem. It is designed for use in conjunction with
the existing OpenStack clients and for simplifying the process of writing
new clients.

%package -n	python3-%{module}
Summary:	Authentication Libarary for OpenStack Identity
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(six)
BuildRequires:	pythonegg(3)(pbr)

# test requirements
%if %{enable_tests_python3}
BuildRequires:	pythonegg(3)(testrepository)
BuildRequires:	pythonegg(3)(oslotest)
BuildRequires:	pythonegg(3)(iso8601)
BuildRequires:	pythonegg(3)(mock)
BuildRequires:	pythonegg(3)(stevedore)
BuildRequires:	pythonegg(3)(oslo.config)
%endif

%description -n	python3-%{module}
Keystoneauth provides a standard way to do authentication and service requests
within the OpenStack ecosystem. It is designed for use in conjunction with
the existing OpenStack clients and for simplifying the process of writing
new clients.

%prep
%setup -q -n %{module}-%{version}

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
%if %{enable_tests_python2}
%{__python2} setup.py test
%endif

%if %{enable_tests_python3}
# cleanup testrepository
rm -rf .testrepository
%{__python3} setup.py test
%endif


%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 2.16.0-1.mga6
+ Revision: 1079835
- new version: 2.16.0

* Sat Feb 20 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 971234
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 889896
- imported package python-keystoneauth1 (based on Fedora)

